PayNowPro
Products

Update Product Price

Updates an existing price for a product.

PATCH
/products/{productId}/prices/{priceId}
api-key<token>

In: header

Path Parameters

productId*string

The product ID from the URL path

priceId*string

The price ID from the URL path

Request Body

application/json

Update data including tenantAlias for verification

details?

Price amount and currency details

tenantAlias*string

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://api.paynowpro.com/api/v1/products/string/prices/string" \  -H "Content-Type: application/json" \  -d '{    "tenantAlias": "string"  }'
{
  "id": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "productId": "string",
  "recurring": {
    "executionDate": "string",
    "period": 0.1,
    "frequency": "Daily"
  },
  "details": {
    "amount": 0.1,
    "currency": "afn"
  }
}
{
  "cause": null,
  "body": {
    "response": {
      "body": "string",
      "headers": {
        "property1": "string",
        "property2": "string"
      }
    },
    "request": {
      "body": "string",
      "headers": {
        "property1": "string",
        "property2": "string"
      },
      "url": "string",
      "method": "string"
    },
    "reason": "string",
    "code": 400
  }
}
{
  "cause": null,
  "body": {
    "response": {
      "body": "string",
      "headers": {
        "property1": "string",
        "property2": "string"
      }
    },
    "request": {
      "body": "string",
      "headers": {
        "property1": "string",
        "property2": "string"
      },
      "url": "string",
      "method": "string"
    },
    "reason": "string",
    "code": 400
  }
}
{
  "cause": null,
  "body": {
    "response": {
      "body": "string",
      "headers": {
        "property1": "string",
        "property2": "string"
      }
    },
    "request": {
      "body": "string",
      "headers": {
        "property1": "string",
        "property2": "string"
      },
      "url": "string",
      "method": "string"
    },
    "reason": "string",
    "code": 400
  }
}